View Issue Details

IDProjectCategoryView StatusLast Update
0000114FreeCADFeaturepublic2010-08-24 19:17
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000114: Make Draft sendToDrawing command able to output hatch pattern fills and dotted or dashed lines
DescriptionRelatively simple, just adding a dropbox to select fill type and line style.
Line types is well supported in SVG and fill patterns looks easy to implement too:
http://www.carto.net/papers/svg/samples/patterns.shtml
Now just need to draw nice hatch patterns...
Then, a View object should "remember" that for when it is updated.
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2010-07-02 17:23

administrator   ~0000257

Partially implemented in r3280. Draft Rectanlge and Circle objects now have SVG Output properties in their ViewObject, allowing to choose between normal ShapeColor fill and two basic patterns (Still no mechanism to specify your own patterns, that's for later).

The fill patterns don't appear in the Drawing SVG view, but they are there, and appear correctly in inkscape (bug in Drawing's SVG view? - to investigate)

yorik

2010-08-24 19:17

administrator   ~0000303

Basically done, only with a couple of default styles for lines (continuous, dashed, dotted and dashdotted) and patterns (simple ANSI, cross, square, line and concrete).

All Draft-generated objects can have linestyle and fill pattern defined in their View properties. Other object types must be converted to draft wires to gain those properties.

Patterns don't appear in FreeCAD's Drawing view (probably a Qt svg rendering limitation, in firefox they also don't appear) but they appear fine when the svg doc is opened in inkscape.

There is currently no way to scale patterns and linestyles or add custom pattern types, but that can be done more or less easily in the future.

Issue History

Date Modified Username Field Change
2010-06-29 12:10 yorik New Issue
2010-06-29 12:10 yorik Status new => assigned
2010-06-29 12:10 yorik Assigned To => yorik
2010-07-02 17:23 yorik Note Added: 0000257
2010-08-24 19:17 yorik Note Added: 0000303
2010-08-24 19:17 yorik Status assigned => closed
2010-08-24 19:17 yorik Resolution open => fixed
2010-08-24 19:17 yorik Fixed in Version => 0.11